with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLTableSection2_Interface is

   procedure Initialize (This : in out IHTMLTableSection2_Type) is
   begin
      Set_IID (This, IID_IHTMLTableSection2);
   end Initialize;

   function Pointer (This : IHTMLTableSection2_Type)
     return Pointer_To_IHTMLTableSection2
   is
   begin
      return To_Pointer_To_IHTMLTableSection2 (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLTableSection2_Type;
                     Pointer : in     Pointer_To_IHTMLTableSection2)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function moveRow
     (This      : IHTMLTableSection2_Type;
      indexFrom : Interfaces.C.long;
      indexTo   : Interfaces.C.long)
     return GNATCOM.Types.Pointer_To_IDispatch
   is
       RetVal : aliased GNATCOM.Types.Pointer_To_IDispatch;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.moveRow
         (Pointer (This),
          indexFrom,
          indexTo,
          RetVal'Unchecked_Access));

      return RetVal;
   end moveRow;

end MSHTML.IHTMLTableSection2_Interface;

